#include <bits/stdc++.h>
#define N 200005
using namespace std;
//ps is now offset
int ps[26][N];

int pf[11];

int sf[11];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string s;
    string k;
    cin>>s;
    cin>>k;
    cout<<0<<endl;
        cout<<s<<endl;
    return 0;
}